MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024777Open CASCADE[OCCT] OCCT:Visualizationpublic2014-03-29 13:292014-11-11 12:51
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024777: Visualization - AIS_InteractiveContext::MoveTo() doesn't keep detected object at first call
DescriptionFor some unknown reason current implementation of AIS_InteractiveContext::MoveTo() resets detected object at first call.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028555)
kgv (developer)
2014-03-29 13:41

Patch is ready for review in branch CR24777.
(0028601)
san (developer)
2014-04-01 18:02

Branch CR24777 reviewed without remarks, ready for testing.
(0028629)
mkv (tester)
2014-04-02 14:20

Dear BugMaster,

Branch CR24777 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 3432a4559bb70f4831e19dc04d2b6fd52485d1f3

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 393825248 / 393242136
Total CPU difference: 64352.70000000007 / 57189.309999999896

Testing on Windows:
Total MEMORY difference: 423208368 / 414274688
Total CPU difference: 37808.859375 / 42798.984375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 8abada55
Timestamp: 2014-04-03 12:24:28
Author: kgv
Committer: apn
Details ] Diff ]
0024777: Visualization - AIS_InteractiveContext::MoveTo() doesn't keep detected object at first call

Draw Harness, ViewerTest - ignore rectangular selection for empty rectangle
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-29 13:29 kgv New Issue
2014-03-29 13:29 kgv Assigned To => san
2014-03-29 13:29 kgv Assigned To san => kgv
2014-03-29 13:29 kgv Status new => assigned
2014-03-29 13:41 kgv Note Added: 0028555
2014-03-29 13:41 kgv Assigned To kgv => san
2014-03-29 13:41 kgv Status assigned => resolved
2014-03-29 13:41 kgv Summary Visualization - AIS_InteractiveContext::MoveTo() dosen't detect object at first call => Visualization - AIS_InteractiveContext::MoveTo() doesn't keep detected object at first call
2014-03-29 13:42 kgv Relationship added related to 0024637
2014-03-31 08:47 kgv Product Version 6.7.0 => 6.3.1
2014-04-01 18:02 san Note Added: 0028601
2014-04-01 18:02 san Assigned To san => bugmaster
2014-04-01 18:02 san Status resolved => reviewed
2014-04-01 19:55 mkv Assigned To bugmaster => mkv
2014-04-02 14:20 mkv Note Added: 0028629
2014-04-02 14:20 mkv Test case number => Not needed
2014-04-02 14:20 mkv Assigned To mkv => bugmaster
2014-04-02 14:20 mkv Status reviewed => tested
2014-04-04 14:00 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:03 apn Changeset attached => occt master 8abada55
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker